<?php

namespace Modules\Reason\Interfaces;

use Modules\Reason\Models\Reason;

interface ReasonRepositoryInterface
{
    public function get(array $request);
    public function getItem(int $id);
    public function checkItem(int $id);
    public function create(array $request): Reason;
    public function update(array $request, Reason $reason): Reason;
    public function destroy(Reason $reason): void;
    public function destroyAll(array $ids): void;
    public function restore(Reason $reason): void;
    public function restoreAll(array $ids): void;
}
